Subject: Re: Error return -5018 when connecting to server.

From: "Tom Watson" <[email-masked]>
Date: Tue, 02 May 2000 00:53:31 -0800

On Sat, 29 Apr 2000 17:03:43 -0400 (EDT), [email-masked] wrote:
> Tom Watson wrote:
> > I've just put a netatalk system on a local Linux box and on the face
> > of it, it looks OK.  There is a "small" problem.  When attempting to
> > connect to the server from a client, I get an error -5013 (object not
> > found) in response to the "get file directory params" packet.
> > 
> > The previous packets:
> > Get Status, Get status reply
> > Open Session, Open Session reply
> > AFP 1.1 Username and Password login, Login no error
> > Map name & username to user id, no error reply
> > Get Server Params, Reply volume name "home"
> > Open Volume, No error (creation & Modification date around 2030) 2 Gb free
> >                              2 Gb available.
> 
> <shooting in the dark>
> There's still a year 2024 limit, on some client sides, no?
> </shooting in the dark>

Beats me.  I've gotten this error on two different clients (the one descibed
above, and a Duo 230 running 7.6.1).

> 
> Over the years, I've run into lots of problems with specific clients/servers
> interacting, but were amusingly (annoyingly?) only specific to those
> situations.
> 
> > Then the Get file directory parameters with error return.
> > The installation is basically a Debian system with its default files for
> > "AppleVolumes.system" and "AppleVolumes.default".  In particular the
> > root directory is NOT exported.  It looks like I've left out a step, but
> > I have no idea where to look.  All the HowTo documentation indicates that
> > I did the "right thing", so I ask here.
> > Note:  The above packet traces are from observation on a tracing machine
> > looking over the transaction.  All of which look acceptable to me, except
> > for the error.  I've tried an AppleVolumes file in the user home directory,
> > and that does change the volume name, but the same error pops up.  Is this
> > because I'm using AFS 1.1 on my client??
> 
> Possibly? Hit it (the server) with a few clients with different software for
> Open Transport, for appleshare.  I guess I'm suggesting a wider range of
> experimentation to determine if the error varies wildly across client end,
> of if it's consistant with all client software.... you might also make sure
> this happens with only a crossover cable between server/cleint, to rule
> out problems with networking (Minor for smaler packets (username/pass),
> but may manifesy when askig for something as big as a directory.)

The ethernet packet monitor had nothing else to display from start to
finish of the transaction mentioned above, so I have VERY STRONG doubts
that it is interference from another source (which is a unconfigured
KFP, another story...).

> 
> None of this is the answer, but it may help refine the question....
> 
> Just for the uhm, obvous question, doe the user have appropriate
> perms?

OK, I'll bite.  What should the permissions be??  The directory in
question has nice user permissions, but no ".AppleDouble" type
directories exist.  I assume that afpd will do something about that
in due time.  For now, I look at some of the source of afpd and the
error indicated is one relating to finding a directory.  The
home directory of the account is under '/home' (drwxrwsr-x), and
the root directory '/' has permissions of 'drwxr-xr-x'.  The
directory under '/home' (pointed to by the entry in '/etc/passwd')
has permissions of 'drwxr-sr-x'.  When I do a normal login to
the accoutn from a console, I can do everything nicely (create
files, create directories), so I don't believe anything is 'bad'.

This 'ought' to be simple.  Pretty stock installation, which I
assume that others have had success with.  Reminds  me of the
testing I helped with on AppleTalk for A/UX, but the version
I worked on had no 'afpd'.  Them was the days (about 10 years
ago!!).

-- 
Tom Watson         Generic short signature
[email-masked]     (I'm at home now)